## wit 2.13a

=== Makefile ===

#####################################################################
##                 __            __ _ ___________                  ##
##                 \ \          / /| |____   ____|                 ##
##                  \ \        / / | |    | |                      ##
##                   \ \  /\  / /  | |    | |                      ##
##                    \ \/  \/ /   | |    | |                      ##
##                     \  /\  /    | |    | |                      ##
##                      \/  \/     |_|    |_|                      ##
##                                                                 ##
##                        Wiimms ISO Tools                         ##
##                      http://wit.wiimm.de/                       ##
##                                                                 ##
#####################################################################
##                                                                 ##
##   This file is part of the WIT project.                         ##
##   Visit http://wit.wiimm.de/ for project details and sources.   ##
##                                                                 ##
##   Copyright (c) 2009-2013 by Dirk Clemens <wiimm@wiimm.de>      ##
##                                                                 ##
#####################################################################

#----------------------------------------------------------------
# make manual: http://www.gnu.org/software/make/manual/make.html
#----------------------------------------------------------------

#-------------------------------------------------------------------------------
# global settings

#SHELL			= /bin/bash
SHELL			= /usr/bin/env bash

AUTHOR			= Dirk Clemens
TOOLSET_SHORT		= WIT
TOOLSET_LONG		= Wiimms ISO Tools

WIT_SHORT		= wit
WIT_LONG		= Wiimms ISO Tool
WWT_SHORT		= wwt
WWT_LONG		= Wiimms WBFS Tool
WDF_SHORT		= wdf
WDF_LONG		= Wiimms WDF Tool
WFUSE_SHORT		= wfuse
WFUSE_LONG		= Wiimms FUSE Tool

VERSION_NUM		= 2.13a
BETA_VERSION		= 0
			# 0:off  -1:"beta"  >0:"beta#"

URI_HOME		= http://wit.wiimm.de/
URI_DOWNLOAD		= http://wit.wiimm.de/download
URI_FILE		= http://wit.wiimm.de/file

ifeq ($(BETA_VERSION),0)
  URI_REPOS		= http://opensvn.wiimm.de/wii/trunk/wiimms-iso-tools/
  URI_VIEWVC		= http://wit.wiimm.de/r/viewvc
else
  URI_REPOS		= http://opensvn.wiimm.de/wii/branches/public/wiimms-iso-tools/
  URI_VIEWVC		= http://wit.wiimm.de/r/viewvc-beta
endif

URI_WDF			= http://wit.wiimm.de/r/wdf
URI_CISO		= http://wit.wiimm.de/r/ciso
URI_QTWITGUI		= http://wit.wiimm.de/r/qtwitgui
URI_WIIBAFU		= http://wit.wiimm.de/r/wiibafu
#URI_WCDWM		= http://wit.wiimm.de/r/wcdwm
#URI_WIIJMANAGER	= http://wit.wiimm.de/r/wiijman
URI_MACWITGUI		= http://wit.wiimm.de/r/mac-witgui
URI_GBATEMP		= http://gbatemp.net/index.php?showtopic=182236\#entry2286365
URI_DOWNLOAD_I386	= $(URI_DOWNLOAD)/$(DISTRIB_I386)
URI_DOWNLOAD_X86_64	= $(URI_DOWNLOAD)/$(DISTRIB_X86_64)
URI_DOWNLOAD_MAC	= $(URI_DOWNLOAD)/$(DISTRIB_MAC)
URI_DOWNLOAD_CYGWIN	= $(URI_DOWNLOAD)/$(DISTRIB_CYGWIN)
URI_TITLES		= http://gametdb.com/titles.txt

DOWNLOAD_DIR		= /cygdrive/n/www/wit.wiimm.de/download


DUMMY			:= $(shell $(SHELL) ./setup.sh)
include Makefile.setup

# format for logging messages, $1=job, $2=object, $3=more info
LOGFORMAT		:= *** %7s %-17s %s\n

#-------------------------------------------------------------------------------
# version+beta settings

ifeq ($(BETA_VERSION),0)
  BETA_SUFFIX	:=
else ifeq ($(BETA_VERSION),-1)
  BETA_SUFFIX	:= .beta
else
  BETA_SUFFIX	:= .beta$(BETA_VERSION)
endif

VERSION		:= $(VERSION_NUM)$(BETA_SUFFIX)

#-------------------------------------------------------------------------------
# compiler settings

PRE		?= 
CC		= $(PRE)gcc
CPP		= $(PRE)g++
STRIP		= $(PRE)strip

#-------------------------------------------------------------------------------
# files

DIR_LIST	=

RM_FILES	= *.{a,o,d,tmp,bak,exe} */*.{tmp,bak} */*/*.{tmp,bak}
RM_FILES2	= *.{iso,ciso,wdf,wbfs} templates.sed

MODE_FILE	= ./_mode.flag
MODE		= $(shell test -s $(MODE_FILE) && cat $(MODE_FILE))
RM_FILES	+= $(MODE_FILE)

# wbfs: files / size in GiB of WBFS partition / number of ISO files to copy
WBFS_FILE	?= a.wbfs
WBFS_FILES	?= $(WBFS_FILE) b.wbfs c.wbfs d.wbfs
WBFS_SIZE	?= 20
WBFS_COUNT	?= 4

#-------------------------------------------------------------------------------
# tools

MAIN_TOOLS	:= wit wwt wdf
TEST_TOOLS	:= wtest
EXTRA_TOOLS	:=

ifeq ($(HAVE_FUSE),1)
  MAIN_TOOLS	+= wfuse
else
  EXTRA_TOOLS	:= wfuse
endif

ALL_TOOLS	:= $(sort $(MAIN_TOOLS) $(TEST_TOOLS))
ALL_TOOLS_X	:= $(sort $(MAIN_TOOLS) $(TEST_TOOLS) $(EXTRA_TOOLS))

HELPER_TOOLS	:= gen-ui

WDF_TEST_LINKS	:= WdfCat UnWdf WdfCmp WdfDump Ciso CisoCat UnCiso Wbi
WDF_LINKS	:= wdf-cat wdf-dump

RM_FILES	+= $(ALL_TOOLS_X) $(HELPER_TOOLS) $(WDF_LINKS) $(WDF_TEST_LINKS)

#-------------------------------------------------------------------------------
# tool dependent options and objects

ifeq ($(STATIC),1)
    OPT_STATIC	:= -static
else
    OPT_STATIC	:=
endif

#---------------

TOPT_wit	:= $(OPT_STATIC)
TOPT_wwt	:= $(OPT_STATIC)
TOPT_wdf	:= $(OPT_STATIC)
TOPT_wfuse	:= -lfuse -lpthread -ldl

#TOPT_ALL	:= $(TOPT_wit) $(TOPT_wwt) $(TOPT_wdf) $(TOPT_wfuse)

#---------------

TOBJ_wit	:= wit-mix.o
TOBJ_wwt	:=
TOBJ_wdf	:=
TOBJ_wfuse	:=

TOBJ_ALL	:= $(TOBJ_wit) $(TOBJ_wwt) $(TOBJ_wdf) $(TOBJ_wfuse)

#-------------------------------------------------------------------------------
# sub libs

# libbz2
LIBBZ2_SRC	= $(shell echo src/libbz2/*.c)
LIBBZ2_OBJ	= $(patsubst %.c,%.o,$(LIBBZ2_SRC))

# lib summary
LIB_LIST	+= libbz2
LIB_OBJECTS	+= $(LIBBZ2_OBJ)
RM_FILES	+= $(foreach l,$(LIB_LIST),src/$(l)/*.{d,o})

#-------------------------------------------------------------------------------
# source files

UI_FILES	= ui.def
UI_FILES	+= $(patsubst %,ui-%.c,$(MAIN_TOOLS) $(EXTRA_TOOLS))
UI_FILES	+= $(patsubst %,ui-%.h,$(MAIN_TOOLS) $(EXTRA_TOOLS))

UI_TABS		= $(patsubst %,tab-%.inc,$(MAIN_TOOLS) $(EXTRA_TOOLS))

SETUP_DIR	=  ./setup
SETUP_INFO	=  INSTALL.txt
SETUP_FILES	=  version.h install.sh cygwin-copy.sh wit.def \
		   $(SETUP_INFO) $(CYGWIN_SCRIPTS)
DIR_LIST	+= $(SETUP_DIR)
RM_FILES2	+= $(SETUP_FILES)

TEXT_DIR	=  ./text-files
TEXT_FILES	=  logo.inc ui-head.inc
DIR_LIST	+= $(TEXT_DIR)
RM_FILES2	+= $(TEXT_FILES)

#-------------------------------------------------------------------------------
# object files

# objects of tools
MAIN_TOOLS_OBJ	:= $(patsubst %,%.o,$(MAIN_TOOLS) $(EXTRA_TOOLS))
OTHER_TOOLS_OBJ	:= $(patsubst %,%.o,$(TEST_TOOLS) $(HELPER_TOOLS))

# other objects
WIT_O		:= debug.o lib-std.o lib-file.o lib-sf.o \
		   lib-bzip2.o lib-lzma.o \
		   lib-wdf.o lib-wia.o lib-ciso.o \
		   ui.o iso-interface.o wbfs-interface.o patch.o \
		   titles.o match-pattern.o dclib-utf8.o \
		   sha1dgst.o sha1_one.o
LIBWBFS_O	:= tools.o file-formats.o libwbfs.o wiidisc.o cert.o rijndael.o
LZMA_O		:= LzmaDec.o LzmaEnc.o LzFind.o Lzma2Dec.o Lzma2Enc.o

ifeq ($(SYSTEM),cygwin)
WIT_O		+= winapi.o
endif

# object groups
UI_OBJECTS	:= $(sort $(MAIN_TOOLS_OBJ))
C_OBJECTS	:= $(sort $(OTHER_TOOLS_OBJ) $(WIT_O) $(LIBWBFS_O) $(LZMA_O) $(TOBJ_ALL))
ASM_OBJECTS	:= ssl-asm.o

# all objects + sources
ALL_OBJECTS	= $(sort $(WIT_O) $(LIBWBFS_O) $(LZMA_O) $(ASM_OBJECTS) $(LIB_OBJECTS))
ALL_SOURCES	= $(patsubst %.o,%.c,$(UI_OBJECTS) $(C_OBJECTS) $(ASM_OBJECTS))

#-------------------------------------------------------------------------------

SHARE_PATH	= $(INSTALL_PATH)/share/wit
INSTALL_SCRIPTS	= install.sh load-titles.sh
RM_FILES	+= $(INSTALL_SCRIPTS)
SCRIPTS		= ./scripts
TEMPLATES	= ./templates
MODULES		= $(TEMPLATES)/module
GEN_TEMPLATE	= ./gen-template.sh
GEN_TEXT_FILE	= ./gen-text-file.sh
UI		= ./src/ui
DIR_LIST	+= $(SCRIPTS) $(TEMPLATES) $(MODULES)

VPATH		+= src src/libwbfs src/lzma src/crypto $(UI) work
DIR_LIST	+= src src/libwbfs src/lzma src/crypto $(UI) work

DEFINES1	+= -DLARGE_FILES -D_FILE_OFFSET_BITS=64
DEFINES1	+= -DWIT		# compile wit tools (for shared sources (e.g. libwbfs))
DEFINES1	+= -DDEBUG_ASSERT	# enable ASSERTions in release version too
DEFINES1	+= -DEXTENDED_ERRORS=1	# enable extended error messages (function,line,file)
DEFINES1	+= -D_7ZIP_ST=1		# disable 7zip multi threading
DEFINES1	+= -D_LZMA_PROB32=1	# LZMA option
DEFINES		=  $(strip $(DEFINES1) $(MODE) $(XDEF))

CFLAGS		+= -fomit-frame-pointer -fno-strict-aliasing -funroll-loops
CFLAGS		+= -Wall -Wno-parentheses -Wno-unused-function
CFLAGS		+= -O3 -Isrc/libwbfs -Isrc/lzma -Isrc -I$(UI) -I. -Iwork
ifeq ($(SYSTEM),mac)
 CFLAGS		+= -I/usr/local/include
endif
CFLAGS		+= $(XFLAGS)
CFLAGS		:= $(strip $(CFLAGS))

DEPFLAGS	+= -MMD

LDFLAGS		+= -static-libgcc
LDFLAGS		:= $(strip $(LDFLAGS))

LIBS		+= $(XLIBS)

DISTRIB_RM	= ./wit-v$(VERSION)-r
DISTRIB_BASE	= wit-v$(VERSION)-r$(REVISION_NEXT)
DISTRIB_PATH	= ./$(DISTRIB_BASE)-$(SYSTEM)
DISTRIB_I386	= $(DISTRIB_BASE)-i386.tar.gz
DISTRIB_X86_64	= $(DISTRIB_BASE)-x86_64.tar.gz
DISTRIB_MAC	= $(DISTRIB_BASE)-mac.tar.gz
DISTRIB_CYGWIN	= $(DISTRIB_BASE)-cygwin.zip
DISTRIB_FILES	= gpl-2.0.txt $(INSTALL_SCRIPTS) $(SETUP_INFO)

DOC_FILES	= doc/*.txt
IGNORE_DOC_FILES= HISTORY-v*.txt
TITLE_FILES	= titles.txt $(patsubst %,titles-%.txt,$(LANGUAGES))
LANGUAGES	= de es fr it ja ko nl pt ru zhcn zhtw

BIN_FILES	= $(MAIN_TOOLS) $(EXTRA_TOOLS)
SHARE_FILES	= $(TITLE_FILES) system-menu.txt magic.txt

CYGWIN_DIR	= /usr/bin
CYGWIN_TOOLS	= bash cp diff env grep mkdir mv realpath regtool rm stat tr wget
CYGWIN_SCRIPTS	= load-titles.sh load-titles.bat \
		  windows-install.sh windows-uninstall.sh
CYGWIN_INSTALLER= $(SETUP_DIR)/windows-install.exe

WIN_INSTALL_PATH= Wiimm/WIT

DIR_LIST_BIN	= $(SCRIPTS) bin
DIR_LIST	+= $(DIR_LIST_BIN)
DIR_LIST	+= share work pool makefiles-local edit-list


#-------------------------------------------------------------------------------
# sub projects

SUB_PROJECTS	+= test-libwbfs
RM_FILES	+= $(foreach p,$(SUB_PROJECTS),$(p)/*.{d,o} $(p)/$(p))

#
###############################################################################
# default rule

default_rule: all
	@echo "HINT: try 'make help'"

# include this behind the default rule
-include $(ALL_SOURCES:.c=.d)

#
###############################################################################
# general rules

$(ALL_TOOLS_X): %: %.o $(ALL_OBJECTS) $(TOBJ_ALL) Makefile | $(HELPER_TOOLS)
	@printf "$(LOGFORMAT)" tool "$@" "$(MODE) $(TOPT_$@) $(TOBJ_$@)"
	@$(CC) $(CFLAGS) $(DEFINES) $(LDFLAGS) $@.o \
		$(ALL_OBJECTS) $(TOBJ_$@) $(LIBS) $(TOPT_$@) -o $@
	@if test -f $@.exe; then $(STRIP) $@.exe; else $(STRIP) $@; fi

	@mkdir -p bin/$(SYSTEM) bin/$(SYSTEM)/debug
	@if test -s $(MODE_FILE) && grep -Fq -e -DDEBUG $(MODE_FILE); \
		then cp -p $@ bin/$(SYSTEM)/debug/; \
		else cp -p $@ bin/; cp -p $@ bin/$(SYSTEM)/; fi

#--------------------------

$(HELPER_TOOLS): %: %.o $(ALL_OBJECTS) $(UI_TABS) Makefile
	@printf "$(LOGFORMAT)" helper "$@ $(TOBJ_$@)" "$(MODE)"
	@$(CC) $(CFLAGS) $(DEFINES) $(LDFLAGS) $@.o \
		$(ALL_OBJECTS) $(TOBJ_$@) $(LIBS) -o $@

#--------------------------

$(WDF_LINKS): wdf
	@printf "$(LOGFORMAT)" "link" "wdf -> $@" ""
	@ln -f wdf "$@"

#--------------------------

$(UI_OBJECTS): %.o: %.c ui-%.c ui-%.h version.h Makefile
	@printf "$(LOGFORMAT)" +object "$@" "$(MODE)"
	@$(CC) $(CFLAGS) $(DEPFLAGS) $(DEFINES) -c $< -o $@

#--------------------------

$(C_OBJECTS): %.o: %.c version.h Makefile $(TEXT_FILES)
	@printf "$(LOGFORMAT)" object "$@" "$(MODE)"
	@$(CC) $(CFLAGS) $(DEPFLAGS) $(DEFINES) -c $< -o $@

#--------------------------

$(ASM_OBJECTS): %.o: %.S Makefile
	@printf "$(LOGFORMAT)" asm "$@" "$(MODE)"
	@$(CC) $(CFLAGS) $(DEPFLAGS) $(DEFINES) -c $< -o $@

#--------------------------

$(SETUP_FILES): templates.sed $(SETUP_DIR)/$@
	@printf "$(LOGFORMAT)" create "$@" ""
	@chmod 775 $(GEN_TEMPLATE)
	@$(GEN_TEMPLATE) $@

#--------------------------

$(TEXT_FILES): $(GEN_TEXT_FILE) $(TEXT_DIR)/$@
	@printf "$(LOGFORMAT)" text "$@" ""
	@chmod 775 $(GEN_TEXT_FILE)
	@$(GEN_TEXT_FILE) $(TEXT_DIR) $@

#--------------------------
