=== debian/changelog ===
wit (2.13a-1) unstable; urgency=low

  * New upstream release.
  * experimental to unstable to correct my mistake when initially uploading
    the package. I thought it belonged to experimental because of the freeze
    but that’s not true, since it’s a new package.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 30 Mar 2013 11:59:36 +0100

wit (2.10a-1) experimental; urgency=low

  * Initial release (Closes: #697145)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 01 Jan 2013 22:11:11 +0100
