=== debian/control ===
Source: wit
Section: utils
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), libmhash-dev, libbz2-dev, libfuse-dev
Standards-Version: 3.9.4
Homepage: http://wit.wiimm.de/
Vcs-Git: git://git.debian.org/collab-maint/wit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/wit.git;a=summary

Package: wit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: manipulate Wii and GameCube ISO images and WBFS containers
 Wiimms ISO Tools is a set of command line tools to manipulate Wii and GameCube
 ISO images and WBFS containers. The toolset consists of the following tools:
 .
 wit (Wiimms ISO Tool):
 This is the main ISO manipulation tool : It can list, analyze, verify,
 convert, split, join, patch, mix, extract, compose, rename and compare Wii and
 GameCube discs. It can create and dump different other Wii file formats.
 .
 wwt (Wiimms WBFS Tool):
 This is the main WBFS manipulation tool (WBFS manager) : It can create, check,
 repair, verify and clone WBFS files and partitions. It can list, add, extract,
 remove, rename and recover ISO images as part of a WBFS.
 .
 wdf (Wiimms WDF Tool):
 wdf is a support tool for WDF, WIA and CISO archives. It convert (pack and
 unpack), compare and dump WDF, WIA (dump and cat only) and CISO archives. The
 default command depends on the program file name (see command descriptions).
 Usual names are wdf, unwdf, wdf-cat, wdf-cmp and wdf-dump (with or without
 minus signs). »wdf +CAT« replaces the old tool wdf-cat and »wdf +DUMP« the old
 tool wdf-dump.
 .
 wfuse (Wiimms FUSE Tool):
 Mount a Wii or GameCube image or a WBFS file or partition to a mount point
 using FUSE (Filesystem in USErspace). Use 'wfuse --umount mountdir' for
 unmounting.
