## wit 2.22b

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 WFUSE_SHORT		= wfuse
 WFUSE_LONG		= Wiimms FUSE Tool
 
-VERSION_NUM		= 2.13a
+VERSION_NUM		= 2.22b
 BETA_VERSION		= 0
 			# 0:off  -1:"beta"  >0:"beta#"
