=== debian/changelog ===
wit (2.22b-1) unstable; urgency=low

  * New upstream release.
  * Fix search path to be /usr/share/wit instead of /usr/local/share/wit
    (Closes: #708010)
  * Canonicalize Vcs-* fields

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 11 Jul 2013 23:11:19 +0200
