## wit 2.31a

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 ##   This file is part of the WIT project.                         ##
 ##   Visit http://wit.wiimm.de/ for project details and sources.   ##
 ##                                                                 ##
-##   Copyright (c) 2009-2013 by Dirk Clemens <wiimm@wiimm.de>      ##
+##   Copyright (c) 2009-2015 by Dirk Clemens <wiimm@wiimm.de>      ##
 ##                                                                 ##
 #####################################################################
 
@@ -43,7 +43,7 @@
 WFUSE_SHORT		= wfuse
 WFUSE_LONG		= Wiimms FUSE Tool
 
-VERSION_NUM		= 2.22b
+VERSION_NUM		= 2.31a
 BETA_VERSION		= 0
 			# 0:off  -1:"beta"  >0:"beta#"
 
@@ -174,14 +174,26 @@
 #-------------------------------------------------------------------------------
 # sub libs
 
-# libbz2
+# libbz2 & lzma
 LIBBZ2_SRC	= $(shell echo src/libbz2/*.c)
 LIBBZ2_OBJ	= $(patsubst %.c,%.o,$(LIBBZ2_SRC))
 
+LZMA_SRC	= $(shell echo src/lzma/*.c)
+LZMA_OBJ	= $(patsubst %.c,%.o,$(LZMA_SRC))
+
+ifeq ($(SYSTEM),cygwin)
+  LZMA_FLAGS	= -Wno-unused-but-set-variable
+  BZIP2_FLAGS	= -Wno-maybe-uninitialized
+else
+  LZMA_FLAGS	=
+  BZIP2_FLAGS	=
+endif
+
 # lib summary
-LIB_LIST	+= libbz2
-LIB_OBJECTS	+= $(LIBBZ2_OBJ)
+LIB_LIST	+= libbz2 lzma
+LIB_OBJECTS	+= $(LIBBZ2_OBJ) $(LZMA_OBJ)
 RM_FILES	+= $(foreach l,$(LIB_LIST),src/$(l)/*.{d,o})
+
 
 #-------------------------------------------------------------------------------
 # source files
@@ -214,12 +226,11 @@
 # other objects
 WIT_O		:= debug.o lib-std.o lib-file.o lib-sf.o \
 		   lib-bzip2.o lib-lzma.o \
-		   lib-wdf.o lib-wia.o lib-ciso.o \
+		   lib-wdf.o lib-wia.o lib-ciso.o lib-gcz.o \
 		   ui.o iso-interface.o wbfs-interface.o patch.o \
 		   titles.o match-pattern.o dclib-utf8.o \
 		   sha1dgst.o sha1_one.o
 LIBWBFS_O	:= tools.o file-formats.o libwbfs.o wiidisc.o cert.o rijndael.o
-LZMA_O		:= LzmaDec.o LzmaEnc.o LzFind.o Lzma2Dec.o Lzma2Enc.o
 
 ifeq ($(SYSTEM),cygwin)
 WIT_O		+= winapi.o
@@ -227,11 +238,13 @@
 
 # object groups
 UI_OBJECTS	:= $(sort $(MAIN_TOOLS_OBJ))
-C_OBJECTS	:= $(sort $(OTHER_TOOLS_OBJ) $(WIT_O) $(LIBWBFS_O) $(LZMA_O) $(TOBJ_ALL))
+#C_OBJECTS	:= $(sort $(OTHER_TOOLS_OBJ) $(WIT_O) $(LIBWBFS_O) $(LZMA_O) $(TOBJ_ALL))
+C_OBJECTS	:= $(sort $(OTHER_TOOLS_OBJ) $(WIT_O) $(LIBWBFS_O) $(TOBJ_ALL))
 ASM_OBJECTS	:= ssl-asm.o
 
 # all objects + sources
-ALL_OBJECTS	= $(sort $(WIT_O) $(LIBWBFS_O) $(LZMA_O) $(ASM_OBJECTS) $(LIB_OBJECTS))
+#ALL_OBJECTS	= $(sort $(WIT_O) $(LIBWBFS_O) $(LZMA_O) $(ASM_OBJECTS) $(LIB_OBJECTS))
+ALL_OBJECTS	= $(sort $(WIT_O) $(LIBWBFS_O) $(ASM_OBJECTS) $(LIB_OBJECTS))
 ALL_SOURCES	= $(patsubst %.o,%.c,$(UI_OBJECTS) $(C_OBJECTS) $(ASM_OBJECTS))
 
 #-------------------------------------------------------------------------------
@@ -247,8 +260,10 @@
 UI		= ./src/ui
 DIR_LIST	+= $(SCRIPTS) $(TEMPLATES) $(MODULES)
 
-VPATH		+= src src/libwbfs src/lzma src/crypto $(UI) work
-DIR_LIST	+= src src/libwbfs src/lzma src/crypto $(UI) work
+#VPATH		+= src src/libwbfs src/lzma src/crypto $(UI) work
+#DIR_LIST	+= src src/libwbfs src/lzma src/crypto $(UI) work
+VPATH		+= src src/libwbfs src/crypto $(UI) work
+DIR_LIST	+= src src/libwbfs src/crypto $(UI) work
 
 DEFINES1	+= -DLARGE_FILES -D_FILE_OFFSET_BITS=64
 DEFINES1	+= -DWIT		# compile wit tools (for shared sources (e.g. libwbfs))
@@ -260,7 +275,8 @@
 
 CFLAGS		+= -fomit-frame-pointer -fno-strict-aliasing -funroll-loops
 CFLAGS		+= -Wall -Wno-parentheses -Wno-unused-function
-CFLAGS		+= -O3 -Isrc/libwbfs -Isrc/lzma -Isrc -I$(UI) -I. -Iwork
+#CFLAGS		+= -O3 -Isrc/libwbfs -Isrc/lzma -Isrc -I$(UI) -I. -Iwork
+CFLAGS		+= -O3 -Isrc/libwbfs -Isrc -I$(UI) -I. -Iwork
 ifeq ($(SYSTEM),mac)
  CFLAGS		+= -I/usr/local/include
 endif
@@ -272,6 +288,9 @@
 LDFLAGS		+= -static-libgcc
 LDFLAGS		:= $(strip $(LDFLAGS))
 
+ifeq ($(HAVE_ZLIB),1)
+ LIBS		+= -lz
+endif
 LIBS		+= $(XLIBS)
 
 DISTRIB_RM	= ./wit-v$(VERSION)-r
@@ -360,27 +379,3 @@
 
 $(C_OBJECTS): %.o: %.c version.h Makefile $(TEXT_FILES)
 	@printf "$(LOGFORMAT)" object "$@" "$(MODE)"
-	@$(CC) $(CFLAGS) $(DEPFLAGS) $(DEFINES) -c $< -o $@
-
-#--------------------------
-
-$(ASM_OBJECTS): %.o: %.S Makefile
-	@printf "$(LOGFORMAT)" asm "$@" "$(MODE)"
-	@$(CC) $(CFLAGS) $(DEPFLAGS) $(DEFINES) -c $< -o $@
-
-#--------------------------
-
-$(SETUP_FILES): templates.sed $(SETUP_DIR)/$@
-	@printf "$(LOGFORMAT)" create "$@" ""
-	@chmod 775 $(GEN_TEMPLATE)
-	@$(GEN_TEMPLATE) $@
-
-#--------------------------
-
-$(TEXT_FILES): $(GEN_TEXT_FILE) $(TEXT_DIR)/$@
-	@printf "$(LOGFORMAT)" text "$@" ""
-	@chmod 775 $(GEN_TEXT_FILE)
-	@$(GEN_TEXT_FILE) $(TEXT_DIR) $@
-
-#--------------------------
-
