=== debian/changelog ===
wit (2.31a-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix for “wit: please make the build reproducible” (Closes: #831331)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 17 Jul 2016 13:32:41 +0200

wit (2.31a-2) unstable; urgency=low

  [ Tobias Gruetzmacher ]
  * Add zlib support (Closes: #815710)
  * Don’t link wfuse against libdl

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 23 Feb 2016 23:40:46 +0100

wit (2.31a-1) unstable; urgency=low

  * New upstream release. (Closes: #813732)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 08 Feb 2016 09:18:04 +0100
