=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), libmhash-dev, libbz2-dev, libfuse-dev
+Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), libmhash-dev, libbz2-dev, libfuse-dev, zlib1g-dev
 Standards-Version: 3.9.4
 Homepage: http://wit.wiimm.de/
-Vcs-Git: git://git.debian.org/collab-maint/wit.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/wit.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/wit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wit.git;a=summary
 
 Package: wit
 Architecture: any
