=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# The Makefile doesn’t use CPPFLAGS
export XDEF=$(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_clean:
	$(MAKE) clean+
	rm -rf bin
	rm -rf Makefile.setup

# Skip testing, "make test" does not actually run a testsuite.
override_dh_auto_test:

override_dh_auto_build:
	$(MAKE) INSTALL_PATH=$(CURDIR)/debian/wit/usr HAVE_ZLIB=1
	$(MAKE) INSTALL_PATH=$(CURDIR)/debian/wit/usr doc

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/wit/usr/bin
	mkdir -p $(CURDIR)/debian/wit/usr/share
	$(MAKE) INSTALL_PATH=$(CURDIR)/debian/wit/usr install

override_dh_installchangelogs:
	dh_installchangelogs doc/HISTORY.txt

%:
	dh $@
