=== debian/watch ===
version=3
http://wit.wiimm.de/download.html /download/wit-v([^-]+)-.*i386.tar.gz
