## wit 3.01a

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,14 @@
 ##                      \/  \/     |_|    |_|                      ##
 ##                                                                 ##
 ##                        Wiimms ISO Tools                         ##
-##                      http://wit.wiimm.de/                       ##
+##                      https://wit.wiimm.de/                       ##
 ##                                                                 ##
 #####################################################################
 ##                                                                 ##
 ##   This file is part of the WIT project.                         ##
-##   Visit http://wit.wiimm.de/ for project details and sources.   ##
-##                                                                 ##
-##   Copyright (c) 2009-2015 by Dirk Clemens <wiimm@wiimm.de>      ##
+##   Visit https://wit.wiimm.de/ for project details and sources.   ##
+##                                                                 ##
+##   Copyright (c) 2009-2017 by Dirk Clemens <wiimm@wiimm.de>      ##
 ##                                                                 ##
 #####################################################################
 
@@ -26,6 +26,8 @@
 
 #-------------------------------------------------------------------------------
 # global settings
+
+MYMAKE			:= $(lastword $(MAKEFILE_LIST))
 
 #SHELL			= /bin/bash
 SHELL			= /usr/bin/env bash
@@ -43,29 +45,29 @@
 WFUSE_SHORT		= wfuse
 WFUSE_LONG		= Wiimms FUSE Tool
 
-VERSION_NUM		= 2.31a
+VERSION_NUM		= 3.01a
 BETA_VERSION		= 0
 			# 0:off  -1:"beta"  >0:"beta#"
 
-URI_HOME		= http://wit.wiimm.de/
-URI_DOWNLOAD		= http://wit.wiimm.de/download
-URI_FILE		= http://wit.wiimm.de/file
+URI_HOME		= https://wit.wiimm.de/
+URI_DOWNLOAD		= https://wit.wiimm.de/download
+URI_FILE		= https://wit.wiimm.de/file
 
 ifeq ($(BETA_VERSION),0)
   URI_REPOS		= http://opensvn.wiimm.de/wii/trunk/wiimms-iso-tools/
-  URI_VIEWVC		= http://wit.wiimm.de/r/viewvc
+  URI_VIEWVC		= https://wit.wiimm.de/r/viewvc
 else
   URI_REPOS		= http://opensvn.wiimm.de/wii/branches/public/wiimms-iso-tools/
-  URI_VIEWVC		= http://wit.wiimm.de/r/viewvc-beta
-endif
-
-URI_WDF			= http://wit.wiimm.de/r/wdf
-URI_CISO		= http://wit.wiimm.de/r/ciso
-URI_QTWITGUI		= http://wit.wiimm.de/r/qtwitgui
-URI_WIIBAFU		= http://wit.wiimm.de/r/wiibafu
-#URI_WCDWM		= http://wit.wiimm.de/r/wcdwm
-#URI_WIIJMANAGER	= http://wit.wiimm.de/r/wiijman
-URI_MACWITGUI		= http://wit.wiimm.de/r/mac-witgui
+  URI_VIEWVC		= https://wit.wiimm.de/r/viewvc-beta
+endif
+
+URI_WDF			= https://wit.wiimm.de/r/wdf
+URI_CISO		= https://wit.wiimm.de/r/ciso
+URI_QTWITGUI		= https://wit.wiimm.de/r/qtwitgui
+URI_WIIBAFU		= https://wit.wiimm.de/r/wiibafu
+#URI_WCDWM		= https://wit.wiimm.de/r/wcdwm
+#URI_WIIJMANAGER	= https://wit.wiimm.de/r/wiijman
+URI_MACWITGUI		= https://wit.wiimm.de/r/mac-witgui
 URI_GBATEMP		= http://gbatemp.net/index.php?showtopic=182236\#entry2286365
 URI_DOWNLOAD_I386	= $(URI_DOWNLOAD)/$(DISTRIB_I386)
 URI_DOWNLOAD_X86_64	= $(URI_DOWNLOAD)/$(DISTRIB_X86_64)
@@ -73,14 +75,25 @@
 URI_DOWNLOAD_CYGWIN	= $(URI_DOWNLOAD)/$(DISTRIB_CYGWIN)
 URI_TITLES		= http://gametdb.com/titles.txt
 
-DOWNLOAD_DIR		= /cygdrive/n/www/wit.wiimm.de/download
-
+DOWNLOAD_DIR		= /n/www/wit.wiimm.de/download
+EXPORT_DIR		= /cygdrive/n/wit/wiimms-iso-tools/bin
 
 DUMMY			:= $(shell $(SHELL) ./setup.sh)
 include Makefile.setup
 
+#------------------------------------------------------------------------------
 # format for logging messages, $1=job, $2=object, $3=more info
-LOGFORMAT		:= *** %7s %-17s %s\n
+
+LOGFORMAT		:= \33[36;1m*** %7s %-17s %s\33[0m\n
+LOGFORMAT_CC		:= \33[33;1m*** %7s %-17s %s\33[0m\n
+LOGFORMAT_TOOL		:= \33[35;1m*** %7s %-17s %s\33[0m\n
+LOGFORMAT_INST		:= \33[32;1m*** %7s %-17s %s\33[0m\n
+
+#------------------------------------------------------------------------------
+# include source library definitions
+
+DCLIB_MYSQL := 0
+include ./dclib/Makefile.inc
 
 #-------------------------------------------------------------------------------
 # version+beta settings
@@ -148,7 +161,7 @@
 # tool dependent options and objects
 
 ifeq ($(STATIC),1)
-    OPT_STATIC	:= -static
+    OPT_STATIC	:= -static -DDCLIB_STATIC=1
 else
     OPT_STATIC	:=
 endif
@@ -184,9 +197,12 @@
 ifeq ($(SYSTEM),cygwin)
   LZMA_FLAGS	= -Wno-unused-but-set-variable
   BZIP2_FLAGS	= -Wno-maybe-uninitialized
-else
-  LZMA_FLAGS	=
-  BZIP2_FLAGS	=
+else ifeq ($(SYSTEM),mac)
+  LZMA_FLAGS	= 
+  BZIP2_FLAGS	= 
+else
+  LZMA_FLAGS	= -Wno-unused-but-set-variable
+  BZIP2_FLAGS	= -Wno-maybe-uninitialized
 endif
 
 # lib summary
@@ -223,13 +239,21 @@
 MAIN_TOOLS_OBJ	:= $(patsubst %,%.o,$(MAIN_TOOLS) $(EXTRA_TOOLS))
 OTHER_TOOLS_OBJ	:= $(patsubst %,%.o,$(TEST_TOOLS) $(HELPER_TOOLS))
 
+# dclib
+DCLIB_DIR	:= ./dclib
+DIR_LIST	+= $(DCLIB_DIR)
+VPATH		+= $(DCLIB_DIR)
+CFLAGS		+= -I$(DCLIB_DIR)
+
 # other objects
-WIT_O		:= debug.o lib-std.o lib-file.o lib-sf.o \
+WIT_O		:= lib-std.o lib-file.o lib-sf.o \
 		   lib-bzip2.o lib-lzma.o \
 		   lib-wdf.o lib-wia.o lib-ciso.o lib-gcz.o \
-		   ui.o iso-interface.o wbfs-interface.o patch.o \
+		   iso-interface.o wbfs-interface.o patch.o \
 		   titles.o match-pattern.o dclib-utf8.o \
-		   sha1dgst.o sha1_one.o
+		   sha1dgst.o sha1_one.o \
+		   $(DCLIB_O)
+
 LIBWBFS_O	:= tools.o file-formats.o libwbfs.o wiidisc.o cert.o rijndael.o
 
 ifeq ($(SYSTEM),cygwin)
@@ -291,7 +315,7 @@
 ifeq ($(HAVE_ZLIB),1)
  LIBS		+= -lz
 endif
-LIBS		+= $(XLIBS)
+LIBS		+= -lm $(XLIBS)
 
 DISTRIB_RM	= ./wit-v$(VERSION)-r
 DISTRIB_BASE	= wit-v$(VERSION)-r$(REVISION_NEXT)
@@ -346,36 +370,10 @@
 # general rules
 
 $(ALL_TOOLS_X): %: %.o $(ALL_OBJECTS) $(TOBJ_ALL) Makefile | $(HELPER_TOOLS)
-	@printf "$(LOGFORMAT)" tool "$@" "$(MODE) $(TOPT_$@) $(TOBJ_$@)"
+	@printf "$(LOGFORMAT_TOOL)" tool "$@" "$(MODE) $(TOPT_$@) $(TOBJ_$@)"
 	@$(CC) $(CFLAGS) $(DEFINES) $(LDFLAGS) $@.o \
 		$(ALL_OBJECTS) $(TOBJ_$@) $(LIBS) $(TOPT_$@) -o $@
 	@if test -f $@.exe; then $(STRIP) $@.exe; else $(STRIP) $@; fi
 
 	@mkdir -p bin/$(SYSTEM) bin/$(SYSTEM)/debug
 	@if test -s $(MODE_FILE) && grep -Fq -e -DDEBUG $(MODE_FILE); \
-		then cp -p $@ bin/$(SYSTEM)/debug/; \
-		else cp -p $@ bin/; cp -p $@ bin/$(SYSTEM)/; fi
-
-#--------------------------
-
-$(HELPER_TOOLS): %: %.o $(ALL_OBJECTS) $(UI_TABS) Makefile
-	@printf "$(LOGFORMAT)" helper "$@ $(TOBJ_$@)" "$(MODE)"
-	@$(CC) $(CFLAGS) $(DEFINES) $(LDFLAGS) $@.o \
-		$(ALL_OBJECTS) $(TOBJ_$@) $(LIBS) -o $@
-
-#--------------------------
-
-$(WDF_LINKS): wdf
-	@printf "$(LOGFORMAT)" "link" "wdf -> $@" ""
-	@ln -f wdf "$@"
-
-#--------------------------
-
-$(UI_OBJECTS): %.o: %.c ui-%.c ui-%.h version.h Makefile
-	@printf "$(LOGFORMAT)" +object "$@" "$(MODE)"
-	@$(CC) $(CFLAGS) $(DEPFLAGS) $(DEFINES) -c $< -o $@
-
-#--------------------------
-
-$(C_OBJECTS): %.o: %.c version.h Makefile $(TEXT_FILES)
-	@printf "$(LOGFORMAT)" object "$@" "$(MODE)"
