=== debian/changelog ===
wit (3.01a-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1098097)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 16:12:17 +0300

wit (3.01a-5) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 4.7.0.
    - Switch from pkg-config to pkgconf.
  * d/copyright:
    - Add myself.
  * d/watch:
    - Bump to version 4.
    - Scan for source release. (Closes: #1061072)
  * d/source/lintian-overrides:
    - Suppress openpgp check for d/watch.

 -- Aloïs Micard <creekorful@debian.org>  Tue, 13 Aug 2024 16:20:11 +0200

wit (3.01a-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Eliminate bashisms in autopkgtest. (Closes: #1033515)

 -- Bastian Germann <bage@debian.org>  Wed, 29 Mar 2023 22:34:46 +0200

wit (3.01a-4) unstable; urgency=medium

  * Add autopkgtests. (Closes: #999455)

 -- Aloïs Micard <creekorful@debian.org>  Thu, 11 Nov 2021 13:57:57 +0100

wit (3.01a-3) unstable; urgency=medium

  * d/control:
    - Adopt the package (Closes: #930303)
    - Use debhelper-compat.
    - Bump debhelper-compat to 13.
    - Bump Standards-Version to 4.6.0
    - Add Rules-Requires-Root.
  * d/rules:
    - Enable hardening=+bindnow.
    - Fix FTCBFS: Pass cross flags to makefile. (Closes: #977479)
      + Thanks Helmut Grohne. :)
  * d/patches/multiarch-libc.patch:
    - Refresh patch following Ben Morris changes. (Closes: #927786)
  * Add d/upstream/metadata.

 -- Aloïs Micard <creekorful@debian.org>  Wed, 10 Nov 2021 14:24:59 +0100

wit (3.01a-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #911804)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 25 Oct 2018 15:31:08 +0200

wit (3.01a-1) unstable; urgency=medium

  * remove debian/gbp.conf to disable pristine-tar
  * update README.source for new upstream version
  * New upstream version 3.01a
  * update debian patches
  * d/rules: clean trailing whitespace
  * update URLs
  * priority extra is replaced by priority optional
  * add patch multiarch-libc.patch by Helmut Grohne (Closes: #911683)
  * compat 11
  * bump standards-version to 4.1.4

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 23 Oct 2018 18:20:52 +0200
