=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: wit
 Section: utils
-Priority: extra
-Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), libmhash-dev, libbz2-dev, libfuse-dev, zlib1g-dev
-Standards-Version: 3.9.4
-Homepage: http://wit.wiimm.de/
-Vcs-Git: git://anonscm.debian.org/collab-maint/wit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wit.git;a=summary
+Priority: optional
+Maintainer: Aloïs Micard <creekorful@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.16.1~),
+               libbz2-dev,
+               libfuse-dev,
+               libmhash-dev,
+               pkgconf,
+               zlib1g-dev
+Standards-Version: 4.7.0
+Homepage: https://wit.wiimm.de/
+Vcs-Git: https://salsa.debian.org/debian/wit.git
+Vcs-Browser: https://salsa.debian.org/debian/wit
+Rules-Requires-Root: binary-targets
 
 Package: wit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: manipulate Wii and GameCube ISO images and WBFS containers
  Wiimms ISO Tools is a set of command line tools to manipulate Wii and GameCube
  ISO images and WBFS containers. The toolset consists of the following tools:
