=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,37 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+include /usr/share/dpkg/architecture.mk
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
+
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+CROSS_FLAGS =
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+CROSS_FLAGS += PRE=$(DEB_HOST_GNU_TYPE)-
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+CROSS_FLAGS += SYSTEM_LINUX=1
+ifeq ($(DEB_HOST_ARCH_CPU),amd64)
+CROSS_FLAGS += SYSTEM=x86_64
+else
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+CROSS_FLAGS += SYSTEM=i386
+else
+CROSS_FLAGS += SYSTEM=linux
+endif
+endif
+else
+CROSS_FLAGS += SYSTEM=unix
+endif
+endif
+
 # The Makefile doesn’t use CPPFLAGS
 export XDEF=$(shell dpkg-buildflags --get CPPFLAGS)
+
+# hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 override_dh_auto_clean:
 	$(MAKE) clean+
@@ -31,16 +57,21 @@
 override_dh_auto_test:
 
 override_dh_auto_build:
-	$(MAKE) INSTALL_PATH=$(CURDIR)/debian/wit/usr HAVE_ZLIB=1
-	$(MAKE) INSTALL_PATH=$(CURDIR)/debian/wit/usr doc
+	# Build targetting /usr...
+	$(MAKE) INSTALL_PATH=/usr HAVE_ZLIB=1 $(CROSS_FLAGS)
+	$(MAKE) INSTALL_PATH=/usr doc
 
 override_dh_auto_install:
+	# ... and then recreate install.sh with a new INSTALL_PATH
+	rm -f templates.sed
 	mkdir -p $(CURDIR)/debian/wit/usr/bin
 	mkdir -p $(CURDIR)/debian/wit/usr/share
-	$(MAKE) INSTALL_PATH=$(CURDIR)/debian/wit/usr install
+	$(MAKE) install.sh INSTALL_PATH=$(CURDIR)/debian/wit/usr
+	# Manually call ./install.sh to avoid rebuilding
+	./install.sh --make
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/HISTORY.txt
 
 %:
-	dh $@ 
+	dh $@
