=== debian/watch ===
version=4
https://download.wiimm.de/source/wiimms-iso-tools/ wiimms-iso-tools.source-([^-]+).txz
